> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendor risk summary by vendor ID



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/vendors/{id}/risk-summary
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/vendors/{id}/risk-summary:
    get:
      tags:
        - client-api-vendor-risk-summary-rest-resource
      summary: Get vendor risk summary by vendor ID
      operationId: getVendorRiskSummaryById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorRiskSummaryResponse'
components:
  schemas:
    VendorRiskSummaryResponse:
      type: object
      properties:
        vendorId:
          type: integer
          format: int64
        vendorName:
          type: string
        evaluatedAt:
          type: string
          format: date-time
        overallRiskLevel:
          type: string
        overallRiskScore:
          type: number
          format: float
        relationshipCount:
          type: integer
          format: int32
        relationships:
          type: array
          items:
            $ref: '#/components/schemas/RelationshipEntry'
        aggregateControlDomainSummary:
          type: array
          items:
            $ref: '#/components/schemas/AggregateControlDomainSummary'
        summaryText:
          type: string
        emptySummaryReason:
          type: string
        summaryGeneratedAt:
          type: string
          format: date-time
    RelationshipEntry:
      type: object
      properties:
        relationshipId:
          type: integer
          format: int64
        productServiceId:
          type: string
          format: uuid
        productServiceName:
          type: string
        assessmentStatus:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
        riskLevel:
          type: string
        riskScore:
          type: number
          format: float
        lastAssessedAt:
          type: string
          format: date-time
        controlDomainSummary:
          type: array
          items:
            $ref: '#/components/schemas/ControlDomainSummary'
    AggregateControlDomainSummary:
      type: object
      properties:
        domain:
          type: string
        highestRiskLevel:
          type: string
        affectedRelationships:
          type: array
          items:
            type: integer
            format: int64
    ControlDomainSummary:
      type: object
      properties:
        domain:
          type: string
        riskLevel:
          type: string

````